#!/bin/sh

ntfy() {
    sh /opt/scripts/ntfy.sh -s "/neb/secrets/ntfy/ixvd-backups" -u "https://push.ixvd.net/ixvd-backups" "$@"
}

ntfy -m "pruning old backups..."
if restic \
    -r "/mnt/backups/restic/$(hostname)" \
    -p "/etc/ixvd/secrets/restic/$(hostname).secret" \
    prune; then
    notify -m "pruning succeeded"
else
    notify -m "prune failed" -e "warning,skull"
fi